package dictionary

import "testing"

func assertStrings(t testing.TB, got, want string) {
    t.Helper()

	if got != want {
		t.Errorf("got %q want %q given %q", got, want, "test")
	}
}

func TestSearch(t *testing.T) {
	dictionary := map[string]string{"test": "this is just a test"}

	got := Search(dictionary, "test")
	want := "this is just a test"

    assertStrings(t, got, want)
}
